package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * MacAuthOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class MacAuthOpenApiVo   {
  @JsonProperty("enable")
  private Boolean enable;

  @JsonProperty("ssids")
  @Valid
  private List<SsidSimpleOpenApiVo> ssids = null;

  @JsonProperty("radiusProfileId")
  private String radiusProfileId;

  @JsonProperty("mabEnable")
  private Boolean mabEnable;

  @JsonProperty("macFormat")
  private Integer macFormat;

  @JsonProperty("emptyPwdEnable")
  private Boolean emptyPwdEnable;

  @JsonProperty("nasId")
  private String nasId;

  public MacAuthOpenApiVo enable(Boolean enable) {
    this.enable = enable;
    return this;
  }

  /**
   * MAC-Based Authentication enable status
   * @return enable
  */
  @ApiModelProperty(value = "MAC-Based Authentication enable status")


  public Boolean getEnable() {
    return enable;
  }

  public void setEnable(Boolean enable) {
    this.enable = enable;
  }

  public MacAuthOpenApiVo ssids(List<SsidSimpleOpenApiVo> ssids) {
    this.ssids = ssids;
    return this;
  }

  public MacAuthOpenApiVo addSsidsItem(SsidSimpleOpenApiVo ssidsItem) {
    if (this.ssids == null) {
      this.ssids = new ArrayList<>();
    }
    this.ssids.add(ssidsItem);
    return this;
  }

  /**
   * SSID list with MAC-Based authentication configured
   * @return ssids
  */
  @ApiModelProperty(value = "SSID list with MAC-Based authentication configured")

  @Valid

  public List<SsidSimpleOpenApiVo> getSsids() {
    return ssids;
  }

  public void setSsids(List<SsidSimpleOpenApiVo> ssids) {
    this.ssids = ssids;
  }

  public MacAuthOpenApiVo radiusProfileId(String radiusProfileId) {
    this.radiusProfileId = radiusProfileId;
    return this;
  }

  /**
   * This field represents radius profile ID. Radius profile can be created using 'Create a new Radius profile' ('Create a new Radius profile template') interface, and radius profile ID can be obtained from 'Get Radius profile list' ('Get Radius profile template list') interface
   * @return radiusProfileId
  */
  @ApiModelProperty(value = "This field represents radius profile ID. Radius profile can be created using 'Create a new Radius profile' ('Create a new Radius profile template') interface, and radius profile ID can be obtained from 'Get Radius profile list' ('Get Radius profile template list') interface")


  public String getRadiusProfileId() {
    return radiusProfileId;
  }

  public void setRadiusProfileId(String radiusProfileId) {
    this.radiusProfileId = radiusProfileId;
  }

  public MacAuthOpenApiVo mabEnable(Boolean mabEnable) {
    this.mabEnable = mabEnable;
    return this;
  }

  /**
   * MAB enable status
   * @return mabEnable
  */
  @ApiModelProperty(value = "MAB enable status")


  public Boolean getMabEnable() {
    return mabEnable;
  }

  public void setMabEnable(Boolean mabEnable) {
    this.mabEnable = mabEnable;
  }

  public MacAuthOpenApiVo macFormat(Integer macFormat) {
    this.macFormat = macFormat;
    return this;
  }

  /**
   * Format of the MAC address. MacFormat should be a value as follows: 0: aabbccddeeff, 1: aa-bb-cc-dd-ee-ff, 2: aa:bb:cc:dd:ee:ff, 3: AABBCCDDEEFF, 4: AA-BB-CC-DD-EE-FF, 5: AA:BB:CC:DD:EE:FF
   * @return macFormat
  */
  @ApiModelProperty(value = "Format of the MAC address. MacFormat should be a value as follows: 0: aabbccddeeff, 1: aa-bb-cc-dd-ee-ff, 2: aa:bb:cc:dd:ee:ff, 3: AABBCCDDEEFF, 4: AA-BB-CC-DD-EE-FF, 5: AA:BB:CC:DD:EE:FF")


  public Integer getMacFormat() {
    return macFormat;
  }

  public void setMacFormat(Integer macFormat) {
    this.macFormat = macFormat;
  }

  public MacAuthOpenApiVo emptyPwdEnable(Boolean emptyPwdEnable) {
    this.emptyPwdEnable = emptyPwdEnable;
    return this;
  }

  /**
   * Whether to enable empty password
   * @return emptyPwdEnable
  */
  @ApiModelProperty(value = "Whether to enable empty password")


  public Boolean getEmptyPwdEnable() {
    return emptyPwdEnable;
  }

  public void setEmptyPwdEnable(Boolean emptyPwdEnable) {
    this.emptyPwdEnable = emptyPwdEnable;
  }

  public MacAuthOpenApiVo nasId(String nasId) {
    this.nasId = nasId;
    return this;
  }

  /**
   * NAS ID issued to AP. NasId should contain 1 to 64 characters
   * @return nasId
  */
  @ApiModelProperty(value = "NAS ID issued to AP. NasId should contain 1 to 64 characters")


  public String getNasId() {
    return nasId;
  }

  public void setNasId(String nasId) {
    this.nasId = nasId;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    MacAuthOpenApiVo macAuthOpenApiVo = (MacAuthOpenApiVo) o;
    return Objects.equals(this.enable, macAuthOpenApiVo.enable) &&
        Objects.equals(this.ssids, macAuthOpenApiVo.ssids) &&
        Objects.equals(this.radiusProfileId, macAuthOpenApiVo.radiusProfileId) &&
        Objects.equals(this.mabEnable, macAuthOpenApiVo.mabEnable) &&
        Objects.equals(this.macFormat, macAuthOpenApiVo.macFormat) &&
        Objects.equals(this.emptyPwdEnable, macAuthOpenApiVo.emptyPwdEnable) &&
        Objects.equals(this.nasId, macAuthOpenApiVo.nasId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(enable, ssids, radiusProfileId, mabEnable, macFormat, emptyPwdEnable, nasId);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class MacAuthOpenApiVo {\n");
    
    sb.append("    enable: ").append(toIndentedString(enable)).append("\n");
    sb.append("    ssids: ").append(toIndentedString(ssids)).append("\n");
    sb.append("    radiusProfileId: ").append(toIndentedString(radiusProfileId)).append("\n");
    sb.append("    mabEnable: ").append(toIndentedString(mabEnable)).append("\n");
    sb.append("    macFormat: ").append(toIndentedString(macFormat)).append("\n");
    sb.append("    emptyPwdEnable: ").append(toIndentedString(emptyPwdEnable)).append("\n");
    sb.append("    nasId: ").append(toIndentedString(nasId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

